
from pycad import *
from pycad.tools import *

class RaspiA(Part):


    def __init__(self):
        super().__init__()

        self.screws_meta = list()

        for y in [-49/2, 49/2]:
            for x in [-58/2, 58/2]:
                self.screws_meta.append(
                        {"pos": [x, y, 0], "d": 3}
                )

    def create_part(self, part):
        part.add(
            Import("A+_Board.stl")
                .translate([0, -2.5/2, 11.85/2]) # center corrections
        )

        return part